<?php
// +----------------------------------------------------------------------
// | A3Mall
// +----------------------------------------------------------------------
// | Copyright (c) 2020 http://www.a3-mall.com All rights reserved.
// +----------------------------------------------------------------------
// | Author: xzncit <158373108@qq.com>
// +----------------------------------------------------------------------

namespace app\adminapi\controller\order;

use app\adminapi\controller\Controller;
use app\adminapi\service\order\Printing as PrintingService;
use think\facade\Request;

/**
 * @package app\adminapi\controller\order
 * @class Printing
 * @author xzncit 2024-02-26
 */
class Printing extends Controller {

    public function cart(){
        return returnAjax("msg:ok",1,PrintingService::cart(Request::param("id",0,"intval")));
    }

    public function distribution(){
        return returnAjax("msg:ok",1,PrintingService::distribution(Request::param("id",0,"intval")));
    }

    public function detail(){
        return returnAjax("msg:ok",1,PrintingService::detail(Request::param("id",0,"intval")));
    }

    public function ticket(){
        return returnAjax("msg:ok",1,PrintingService::ticket(Request::param("id",0,"intval")));
    }

}